package com.friday.custody.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Objects;

@Data
public class DataTrustDto implements Serializable{
    // 托管人编号
    private String trustNo;
    //托管人中文
    private String trustName;
    //托管方下管理人列表
    private List<TenantInfoMonitorDto> adminInfoList;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DataTrustDto that = (DataTrustDto) o;
        return Objects.equals(trustNo, that.trustNo) && Objects.equals(trustName, that.trustName) && Objects.equals(adminInfoList, that.adminInfoList);
    }

    @Override
    public int hashCode() {
        return Objects.hash(trustNo, trustName, adminInfoList);
    }
}
